Avnology ID
API ReferenceOrganizations

Update Member Role

Change a member's role within an organization.

Endpoint

PATCH /v1/organizations/{id}/members/{user_id}

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token with admin:orgs:write scope

Request

Example Request

curl -X PATCH

Response

Success

Returns the appropriate response for the operation.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_300Organization not found
403AVNOLOGY_AUTH_100Insufficient permissions
409AVNOLOGY_AUTH_301Member already exists (for add)

Code Examples

JavaScript (fetch)

// See the API overview for request patterns
const response = await fetch('https://api-id.avnology.net/v1/organizations/{id}/members/{user_id}', {
  method: 'PATCH',
  headers: { 'Authorization': `Bearer ${apiKey}`, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("PATCH", "https://api-id.avnology.net/v1/organizations/{id}/members/{user_id}",
    headers={"Authorization": f"Bearer {

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "PATCH", "https://api-id.avnology.net/v1/organizations/{id}/members/{user_id}", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)